Bug 732395 - Export report excel types columns & rows are not customized correctly
Summary: Export report excel types columns & rows are not customized correctly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-reports
Version: unspecified
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Yaniv Lavi
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 09:53 UTC by David Botzer
Modified: 2014-01-14 00:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 22:52:11 UTC
oVirt Team: ---


Attachments (Terms of Use)
Pic & Report (76.73 KB, application/x-gzip)
2011-08-22 09:53 UTC, David Botzer
no flags Details

Description David Botzer 2011-08-22 09:53:46 UTC
Created attachment 519253 [details]
Pic & Report

Description of problem:
The columns&rows are too dense and are not in the correct size,
Needs a lot of manually adjustment for rows and columns

Version-Release number of selected component (if applicable):
IC137, rhevm-reports 3.0.0-9

How reproducible:
always

Steps to Reproduce:
1.Open report BR7 or else
2.Export to xls,xlsx
3.Columns & rows are dense 

Actual results:
The columns&rows are too dense and are not in the correct size,
Needs a lot of manually adjustment for rows and columns

Expected results:
should export the report in a correct fashionable order & size 

Additional info: see pics & report

Same goes for the headlines & the empty places where the graphs should be,
Its too big, and not normal size

Comment 1 Yaniv Lavi 2011-09-22 11:19:01 UTC
Opened case with jasper. Case Number 00021882.


Yaniv

Comment 2 Yaniv Lavi 2011-10-03 08:11:41 UTC
Jasper's response: 

"Hello,

I guess you've been creating this report in iReport. This kind of output can be observed in grid-based exporters if your elements are aligned in non-stacking fashion then you might see this.

Take a look at this FAQ article here:
http://jasperforge.org/uploads/publish/jasperreportswebsite/trunk/faq.html#FAQ9

Regards,
Vadim"


Opening as a future feature.

Comment 4 Itamar Heim 2013-01-30 22:52:11 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.